! testinteg.for
	implicit none
	
	integer nvals
	parameter (nvals=9)
	real*4 x(nvals), y(nvals), rInteg(nvals)
	DATA x / 1., 2., 3., 4., 5., 6., 7., 8., 9. /
	DATA y / 1., 2., 3., 4., 5., 16., 7., 8., 9. /
		
	type *, ' This program will return an array of running integrals'

        CALL integ ( nvals, x, y, rInteg)

	type *,' array=', y
	type *,' running integral=', outarray
	stop
	end
